#pragma once

#include "CoreMinimal.h"
#include "Engine/DataAsset.h"
#include "BehaviourDetectionClassConfiguration.h"
#include "BehaviourDetectionConfiguration.generated.h"

UCLASS(Blueprintable)
class UBehaviourDetectionConfiguration : public UDataAsset
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FBehaviourDetectionClassConfiguration> _detectionClassConfigurations;

public:
	UBehaviourDetectionConfiguration();
};

FORCEINLINE uint32 GetTypeHash(const UBehaviourDetectionConfiguration) { return 0; }
